package com.goafanti.order.service;

import com.goafanti.core.mybatis.page.Pagination;
import com.goafanti.order.bo.*;

import java.util.List;

public interface UserStaticticsService {

    Pagination<OutSignSummary> signSummary(InputSignSummary in);

    List<OutSignSummary> signSummaryList(InputSignSummary in);

    Pagination<OutSignStatistics> signStatistics(InputSignStatistics in);

    Pagination<TOrderNewBo> signStatisticsOrderList(InputSignStatistics in);

    List<OutSignStatistics> signStatisticsGetList(InputSignStatistics in);
}
